Module tdlight.api
Package it.tdlight.jni

# Class TdApi.AddContact

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.AddContact

Enclosing class:
  TdApi

public static final class TdApi.AddContact extends TdApi.Function<TdApi.Ok>
Adds a user to the contact list or edits an existing contact by their user identifier.

Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`TdApi.Contact`
`contact`
The contact to add or edit; phone number can be empty and needs to be specified only if known, vCard is ignored.
`boolean`
`sharePhoneNumber`
True, if the new contact needs to be allowed to see current user's phone number.

## Constructor Summary

Constructors
Constructor
Description
`AddContact()`
Adds a user to the contact list or edits an existing contact by their user identifier.
`AddContact(TdApi.Contact contact, boolean sharePhoneNumber)`
Adds a user to the contact list or edits an existing contact by their user identifier.
`AddContact(DataInput input)`
Adds a user to the contact list or edits an existing contact by their user identifier.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### contact

public TdApi.Contact contact
The contact to add or edit; phone number can be empty and needs to be specified only if known, vCard is ignored.

### sharePhoneNumber

public boolean sharePhoneNumber
True, if the new contact needs to be allowed to see current user's phone number. A corresponding rule to userPrivacySettingShowPhoneNumber will be added if needed. Use the field userFullInfo.needPhoneNumberPrivacyException to check whether the current user needs to be asked to share their phone number.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### AddContact

public AddContact()
Adds a user to the contact list or edits an existing contact by their user identifier.

Returns `Ok`

### AddContact

public AddContact(TdApi.Contact contact, boolean sharePhoneNumber)
Adds a user to the contact list or edits an existing contact by their user identifier.

Returns `Ok`

Parameters:
  `contact` - Contact The contact to add or edit; phone number can be empty and needs to be specified only if known, vCard is ignored.
  `sharePhoneNumber` - boolean True, if the new contact needs to be allowed to see current user's phone number. A corresponding rule to userPrivacySettingShowPhoneNumber will be added if needed. Use the field userFullInfo.needPhoneNumberPrivacyException to check whether the current user needs to be asked to share their phone number.

### AddContact

public AddContact(DataInput input) throws IOException
Adds a user to the contact list or edits an existing contact by their user identifier.

Returns `Ok`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`